package top.imwork.uaa.vo;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;

import java.io.Serializable;

/**
 * Copyright (C), 2015-2020
 * FileName: LoginParam
 * Author:   imwork
 * Date:     2020/5/11 0011 22:30
 * Description: 登录参数接收
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
public class LoginParamVO implements Serializable {

    @NotBlank(message = "用户姓名不能为空!")
    @NotNull(message = "用户姓名不能为空!")
    private String username;

    @NotBlank(message = "密码不能为空!")
    @NotNull(message = "密码不能为空!")
    private String password;

    private String clientId;

    private String clientSecret;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getClientSecret() {
        return clientSecret;
    }

    public void setClientSecret(String clientSecret) {
        this.clientSecret = clientSecret;
    }
}
